<?php
$GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"] = (@$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"] ?: array()) + array("_e485acd266ea901de09188106bb876" . "95" => base64_decode("Q2FuJ3QgY2hlY2sgcGVybWlzc2lvbnMga" . "W4gUHVibGlzaE9iamVjdDo6VXNlckhhc1" . "Blcm1pc3Npb24oKTo="), "_dd5857c83f2dcebc905139788c8" . "b254c" => base64_decode("Zm9ydW0ub2JqZWN0cy5jYW50X2xvYWRfcGVy" . "bXM="), "_0c5123aa744f6" . "9bbc0e8b3ea2f6" . "e847d" => base64_decode("bG" . "1z" . "Zw" . "=="));
class ForumObject extends ErrorHandler
{
    var $id = 0;
    var $perm_id;
    
    
    
    
    
    
    var $perms;
    
    
    
    
    var $save_perms, $perms_loaded;
    
    
    
    
    function __construct()
    {
        $this->perms = new UnifiedPermissions();
        $this->save_perms = false;
        $this->perm_id = 0;
        $this->pub_location = null;
    }
    
    
    
    
    
    
    
    function LoadPerms()
    {
        if ($this->perms->Load($this->perm_id)) {
            $this->perms_loaded = true;
            return true;
        } else {
            $this->perms_loaded = false;
            return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_0c5123aa744f69bbc0e8" . "b3ea2f6e847d"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_dd5857c83f2dcebc905139788c8" . "b254c"]));
        }
    }
    
    
    
    
    
    
    
    
    
    function SetPerms($_5f53bb9a0317b2cff1248a5d6f951ce0, $_d518e3269f1db8e80d2ccd12b33ff3d0 = false)
    {
        $this->perms = $_5f53bb9a0317b2cff1248a5d6f951ce0;
        $this->perm_id = $_5f53bb9a0317b2cff1248a5d6f951ce0->id;
        $this->save_perms = $_d518e3269f1db8e80d2ccd12b33ff3d0;
        return true;
    }
    
    
    
    
    
    
    
    function UserHasPermission($perms)
    {
        if (!$this->perms_loaded) {
            $this->LoadPerms();
        }
        $_1f24efd4735b7a11b391147435e7d35d = $this->perms->UserHasPermission($perms);
        if ($this->perms->IsError()) {
            return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_e485acd266ea901" . "de09188106bb8769" . "5"] . $this->perms->GetErrMsg());
        }
        return $_1f24efd4735b7a11b391147435e7d35d;
    }
    
    
    
    
    
    function GetModeratorsIDs()
    {
        $this->LoadPerms();
        return $this->perms->GetIndividualsList(PERM_EDIT_MODERATE);
    }
    
    
    
    
    
    
    
    function GetId()
    {
        return $this->id;
    }
    function GetPermId()
    {
        return $this->perm_id;
    }
}